﻿@model IEnumerable<EnergyMission.Domain.Entities.StructureDivisionEntity>

<link href="~/Content/CustomScreen3.css" rel="stylesheet" />
@*<script src="~/Scripts/jquery-2.1.3.js"></script>*@
@Html.Raw(File.ReadAllText(Server.MapPath("~/Views/Shared/_GridViewCommon.txt")))

@{

    EnergyMission.Domain.Entities.StructureDivisionEntity StructureDivisionSD = new StructureDivisionEntity();


}
<link href="~/Content/CustomScreen3.css" rel="stylesheet" />
@section Scripts{
<script>


    $(document).ready(function () {

        var value = "@ViewBag.msg";

        $("#AddEditClient").hide();
        if (value == "") {

            $("#errorssms").hide();

        }
        else {
            $("#errorssms").show();

        }
        $("#strucureDI").click(function () {

            $("#errorssms").hide();
            $("#AddEditClient").hide();
            cancelall();

        });

        $("#Addoganization").click(function () {
            $("#errorssms").hide();
            cancelall();
            $("#AddEditClient").show();
            $("#SiteId").prop("disabled", true);
            $("#StructureId").prop("disabled", true);

        });




    });


    function cancelall() {



        $("#Id").val("");
        $("#Name").val("");
        $("#LocationId").val("");
        $("#SiteId").val("");
        $("#StructureId").val("");



        return false;
    }

    $(document).ready(function () {

        $("#LocationId").change(function () {

            $("#SiteId").prop("disabled", false);
            $("#StructureId").prop("disabled", true);
            var selectedT = $(this).find("option:selected").val();


            $.getJSON("/StructureDivisions/OnchangeOfLocationchangesiteEntry", { deptId: selectedT },
               function (Result) {

                   value = JSON.stringify(Result);
                   //alert(value);
                   var ddlState = $("#SiteId");
                   ddlState.html('');
                   //var mySelect = $('#SiteId');

                   ddlState.append($('<option></option>').val('').html("Select Site"));
                   //alert(JSON.stringify(Result.result[0]));
                   $.each(Result.result, function (id, option) {
                       //alert("inside foreach");
                       ddlState.append($('<option></option>').val(option.id).html(option.name));
                   }
                 );
               });


        });
    });





    $(document).ready(function () {

        $("#SiteId").change(function () {

            $("#StructureId").prop("disabled", false);
            var selectedT = $(this).find("option:selected").val();


            $.getJSON("/StructureDivisions/OnChangeOfSiteChangeStructureEntry", { SDDdeptId: selectedT },
               function (Result) {

                   value = JSON.stringify(Result);
                   // alert(value);
                   var ddlState = $("#StructureId");
                   ddlState.html('');
                   //var mySelect = $('#SiteId');

                   ddlState.append($('<option></option>').val('').html("Select Structure"));
                   //alert(JSON.stringify(Result.result[0]));
                   $.each(Result.result, function (id, option) {
                       //alert("inside foreach");

                       ddlState.append($('<option></option>').val(option.id).html(option.name));
                   }
                 );
               });


        });
    });


    </script>
    <script>

    function OnSuccess(data, gvName) {

        var gridInstance = ASPxClientControl.GetControlCollection().GetByName(gvName);
        gridInstance.Refresh();
    }


    var selectedKeys = "";
    function aspxSEClick(selectedValues) {

        $("#SiteId").prop("disabled", false);
        $("#StructureId").prop("disabled", false);
        var value = selectedValues;

        $.ajax({
            type: "Get",
            url: "/StructureDivisions/SDEdits",
            data: { "Id": value },
            dataType: 'json',
            contentType: "application/json;charset=utf-8",
            success: function (data) {

                //debugger
                //alert(data.result);
                value = JSON.stringify(data);
               // alert(value);


                $("#Id").val(data.result[0].id);
                $("#Name").val(data.result[0].name);
                $("#LocationId").val(data.result[0].locationId);
                 $("#SiteId").val(data.result[0].siteId);
                 $("#StructureId").val(data.result[0].structureId);

                $("#AddEditClient").show();
                $("#errorssms").hide();
                return false;
            },


            error: function (textStatus, errorThrown) {

                alert(textStatus);
            }
        });
    }





</script>



    }
<div class="second-menu">
    <h3>Structures Division</h3>
    
</div>


<div class="examples">
   
        <div class="gray_bg">
            <div class="ensure2" id="errorssms"><i class="fa fa-check-circle" aria-hidden="true"></i> @ViewBag.msg</div>       
            <!-- Start White Inner -->
            <div class="white_inner">
                <!-- Start Location -->
                <div class="client_verfied delete">
                    <div class="LocationMappings">
                       
                            <div class="inner">
                               
                                    @Html.Action("GridViewPartial")
                                <a href="javascript:void(0)" id="Addoganization" class="add_new">New</a>
                         

                            </div>
                       
                        </div>
                    </div>
                <!-- End Location -->

            </div>
            <div id="AddEditClient">
                @Html.Partial("_AddEditPartial", StructureDivisionSD)
            </div>
            </div>
      
    </div>




